summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorcippaciong2016-01-04 16:22:11 +0100
committercippaciong2016-01-04 16:22:11 +0100
commitcabdee78410cc4897abaad1e2f6d0da50b99fbdb (patch)
tree2fd057a0251b9dbabe467d0f52d42f608e3d8066
downloadaur-cabdee78410cc4897abaad1e2f6d0da50b99fbdb.tar.gz
Initial commit
-rw-r--r--.SRCINFO22
-rw-r--r--PKGBUILD30
2 files changed, 52 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..7e23b013aa5
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,22 @@
+# Generated by mksrcinfo v8
+# Mon Jan 4 15:21:00 UTC 2016
+pkgbase = python2-axolotl-git
+ pkgdesc = Python port of libaxolotl
+ pkgver = r39.9585d72
+ pkgrel = 1
+ url = https://github.com/tgalal/python-axolotl
+ arch = any
+ license = GPL
+ makedepends = python2-setuptools
+ depends = python2
+ depends = python2-dateutil
+ depends = python2-protobuf
+ depends = python2-crypto
+ depends = python2-axolotl-curve25519
+ provides = python2-axolotl
+ conflicts = python2-axolotl
+ source = git://github.com/tgalal/python-axolotl
+ sha512sums = SKIP
+
+pkgname = python2-axolotl-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..e000bc23246
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,30 @@
+# Maintainer: Tommaso Sardelli <lacapannadelloziotom AT gmail DOT com>
+# Contributor: Philipp Joram <phijor AT t-online DOT de>
+
+pkgname='python2-axolotl-git'
+_pkgname='python-axolotl'
+pkgver=r39.9585d72
+pkgrel=1
+pkgdesc="Python port of libaxolotl"
+url="https://github.com/tgalal/python-axolotl"
+arch=('any')
+license=('GPL')
+depends=('python2' 'python2-dateutil' 'python2-protobuf' 'python2-crypto' 'python2-axolotl-curve25519')
+makedepends=('python2-setuptools')
+conflicts=('python2-axolotl')
+provides=('python2-axolotl')
+source=('git://github.com/tgalal/python-axolotl')
+sha512sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/$_pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package() {
+ cd "$srcdir/$_pkgname"
+ python2 setup.py install --root="$pkgdir/"
+}